/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 *
 * @author Rafael
 */
@Entity
@SequenceGenerator(name = "PTOVTA_ESTOQUE_SEQ ", sequenceName = "PTOVTA_ESTOQUE_SEQ ", allocationSize = 1)
@Table(name = "PTOVTA_ESTOQUE")

public class PtovtaEstoque implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @GeneratedValue(strategy = GenerationType.AUTO, generator = "PTOVTA_ESTOQUE_SEQ ")
    @Column(name = "PTOVTAESTOQUE_ID")
    private Integer ptovtaEstoqueId;
    
    @Column(name = "ESPECIE")
    private String especie;
    
    @Column(name = "FORMCONT")
    private String formCont;
   
    @Column(name = "QUANTIDADE")
    private int quantidade;
   
    @Column(name = "LOTEFORM")
    private String loteform;
    
    @Basic(optional = false)
    @Column(name = "ACTIVO")
    private Boolean activo;
    
    @Column(name = "FECMODIF")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecmodif;
    
    @Column(name = "USUARIO_ID")
    private int usuarioId;
    @JoinColumn(name = "PUNTOVENTA_ID", referencedColumnName = "PUNTOVENTA_ID")
    @ManyToOne
    private PuntoVenta puntoventaId;

    public PtovtaEstoque() {
    }

    public PtovtaEstoque(Integer ptovtaEstoqueId) {
        this.ptovtaEstoqueId = ptovtaEstoqueId;
    }
    
    
    private static List<String> formList = new ArrayList<String>();
    private static List<String> loteList = new ArrayList<String>();
     
    static{
    	formList.add("SIM");
    	formList.add("NO");
         
    	loteList.add("SIM");
    	loteList.add("NO");
    }

    public PtovtaEstoque(Integer ptovtaEstoqueId, String especie, String formCont, int quantidade, String loteform, Boolean activo, Date fecmodif, int usuarioId) {
        this.ptovtaEstoqueId = ptovtaEstoqueId;
        this.especie = especie;
        this.formCont = formCont;
        this.quantidade = quantidade;
        this.loteform = loteform;
        this.activo = activo;
        this.fecmodif = fecmodif;
        this.usuarioId = usuarioId;
    }

  

    public Integer getPtovtaEstoqueId() {
		return ptovtaEstoqueId;
	}

	public void setPtovtaEstoqueId(Integer ptovtaEstoqueId) {
		this.ptovtaEstoqueId = ptovtaEstoqueId;
	}

	public String getEspecie() {
        return especie;
    }

    public void setEspecie(String especie) {
        this.especie = especie;
    }

    public String getFormCont() {
        return formCont;
    }

    public void setFormCont(String formCont) {
        this.formCont = formCont;
    }

    public int getQuantidade() {
        return quantidade;
    }

    public void setQuantidade(int quantidade) {
        this.quantidade = quantidade;
    }

    public String getLoteform() {
        return loteform;
    }

    public void setLoteform(String loteform) {
        this.loteform = loteform;
    }

    public Boolean getActivo() {
        return activo;
    }

    public void setActivo(Boolean activo) {
        this.activo = activo;
    }

    public Date getFecmodif() {
        return fecmodif;
    }

    public void setFecmodif(Date fecmodif) {
        this.fecmodif = fecmodif;
    }

    public int getUsuarioId() {
        return usuarioId;
    }

    public void setUsuarioId(int usuarioId) {
        this.usuarioId = usuarioId;
    }

    public PuntoVenta getPuntoventaId() {
        return puntoventaId;
    }

    public void setPuntoventaId(PuntoVenta puntoventaId) {
        this.puntoventaId = puntoventaId;
    }
    
    

    public static List<String> getFormList() {
		return formList;
	}

	public static void setFormList(List<String> formList) {
		PtovtaEstoque.formList = formList;
	}

	public static List<String> getLoteList() {
		return loteList;
	}

	public static void setLoteList(List<String> loteList) {
		PtovtaEstoque.loteList = loteList;
	}

	@Override
    public int hashCode() {
        int hash = 0;
        hash += (ptovtaEstoqueId != null ? ptovtaEstoqueId.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof PtovtaEstoque)) {
            return false;
        }
        PtovtaEstoque other = (PtovtaEstoque) object;
        if ((this.ptovtaEstoqueId == null && other.ptovtaEstoqueId != null) || (this.ptovtaEstoqueId != null && !this.ptovtaEstoqueId.equals(other.ptovtaEstoqueId))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.rjconsultores.ventaboletos.entidad.PtovtaEstoque[ ptovtaEstoqueId=" + ptovtaEstoqueId + " ]";
    }
    
}
