package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;


@Entity
@SequenceGenerator(name = "USUARIO_EMPRESA_SEQ", sequenceName = "USUARIO_EMPRESA_SEQ", allocationSize = 1)
@Table(name = "USUARIO_EMPRESA")
public class UsuarioEmpresa implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO, generator = "USUARIO_EMPRESA_SEQ")
    @Basic(optional = false)
    @Column(name = "  USUARIOEMPRESA_ID")
    private Integer usuarioEmpresaId;

    @Column(name = "ACTIVO")
    private Boolean activo;
    
    @Column(name = "FECMODIF")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecmodif;
    
    @Column(name = "USUARIOMODIF_ID")
    private Integer usuariomodifId;
    
    @JoinColumn(name = "USUARIO_ID", referencedColumnName = "USUARIO_ID")
    @ManyToOne
    private Usuario usuarioLog;
    
    @JoinColumn(name = "EMPRESA_ID", referencedColumnName = "EMPRESA_ID")
    @ManyToOne
    private Empresa empresa;

    public UsuarioEmpresa() {
    }

    public UsuarioEmpresa(Integer usuarioEmpresaId) {
        this.usuarioEmpresaId = usuarioEmpresaId;
    }

   

    public Integer getUsuarioEmpresaId() {
		return usuarioEmpresaId;
	}

	public void setUsuarioEmpresaId(Integer usuarioEmpresaId) {
		this.usuarioEmpresaId = usuarioEmpresaId;
	}

	

    public Boolean getActivo() {
        return activo;
    }

    public void setActivo(Boolean activo) {
        this.activo = activo;
    }

    public Date getFecmodif() {
        return fecmodif;
    }

    public void setFecmodif(Date fecmodif) {
        this.fecmodif = fecmodif;
    }

    public Integer getUsuariomodifId() {
        return usuariomodifId;
    }

    public void setUsuariomodifId(Integer usuariomodifId) {
        this.usuariomodifId = usuariomodifId;
    }

    

	public Empresa getEmpresa() {
		return empresa;
	}


	public Usuario getUsuarioLog() {
		return usuarioLog;
	}

	public void setUsuarioLog(Usuario usuario) {
		this.usuarioLog = usuario;
	}

	public void setEmpresa(Empresa empresa) {
		this.empresa = empresa;
	}

	@Override
    public int hashCode() {
        int hash = 0;
        hash += (usuarioEmpresaId != null ? usuarioEmpresaId.hashCode() : 0);
        return hash;
    }

	 @Override
	    public boolean equals(Object object) {
	        // TODO: Warning - this method won't work in the case the id fields are not set
	        if (!(object instanceof UsuarioEmpresa)) {
	            return false;
	        }
	        UsuarioEmpresa other = (UsuarioEmpresa) object;
	        if ((this.usuarioEmpresaId == null && other.usuarioEmpresaId != null) || (this.usuarioEmpresaId != null && !this.usuarioEmpresaId.equals(other.usuarioEmpresaId))) {
	            return false;
	        }
	        return true;
	    }

    @Override
    public String toString() {
        return "com.rjconsultores.ventaboletos.entidad.UsuarioEmpresa[usuarioEmpresaId=" + usuarioEmpresaId + "]";
    }

 

  
}
