/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ClienteDAO;
import com.rjconsultores.ventaboletos.entidad.Cliente;
import com.rjconsultores.ventaboletos.service.ClienteService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Desenvolvimento
 */
@Service("clienteService")
public class ClienteServiceImpl implements ClienteService {

    @Autowired
    private ClienteDAO clienteDAO;

    public List<Cliente> obtenerTodos() {
        return clienteDAO.obtenerTodos();
    }

    public Cliente obtenerID(Integer id) {
        return clienteDAO.obtenerID(id);
    }

    @Transactional
    public Cliente suscribir(Cliente entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return clienteDAO.suscribir(entidad);
    }

    @Transactional
    public Cliente actualizacion(Cliente entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return clienteDAO.actualizacion(entidad);
    }

   
    @Transactional
    public void borrar(Cliente entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        clienteDAO.actualizacion(entidad);
    }
    
    
    public List<Cliente> buscar(String numbCliente) {
        return clienteDAO.buscar(numbCliente);
    }

    
}
